Holger's Java API

## com.antelmann.opengeodb
Class GeoProperty

    java.lang.Object
      com.antelmann.opengeodb.GeoProperty

All Implemented Interfaces:
  LifeCycleObject, ValueRetriever<Object>

    public class GeoProperty

extends Object
implements LifeCycleObject, ValueRetriever<Object>

Since:
  20.12.2014, 21:21:26
Author:
  holger

Method Summary
`Date` `getBeginTime()`
`GeoTypeName` `getBeginType()`
`Date` `getEndTime()`
`GeoTypeName` `getEndType()`
`String` `getLocale()`
`Stub<GeoLocation>` `getLocation()`
`Object` `getRelevantValue()` returns the relevant value for this instance at the time of calling
`GeoType` `getType()`
`GeoTypeName` `getValueType()`
`boolean` `isDefaultName()` only applicable for `GeoType.TEXT`
`boolean` `isNativeLang()` only applicable for `GeoType.TEXT`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public GeoType getType()

### getBeginTime

    public Date getBeginTime()

  Specified by:
    `getBeginTime` in interface `LifeCycleObject`

### getEndTime

    public Date getEndTime()

  Specified by:
    `getEndTime` in interface `LifeCycleObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getRelevantValue

    public Object getRelevantValue()

  Description copied from interface: `ValueRetriever`
  returns the relevant value for this instance at the time of calling

  Specified by:
    `getRelevantValue` in interface `ValueRetriever<Object>`

### getLocation

    public Stub<GeoLocation> getLocation()

### getValueType

    public GeoTypeName getValueType()

### getBeginType

    public GeoTypeName getBeginType()

### getEndType

    public GeoTypeName getEndType()

### isNativeLang

    public boolean isNativeLang()

  only applicable for `GeoType.TEXT`

### isDefaultName

    public boolean isDefaultName()

  only applicable for `GeoType.TEXT`

### getLocale

    public String getLocale()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads